//-------------
// Walls
//-------------

textures/quak_slide/concrete_greypaneldark
{
	qer_editorImage textures/quak_slide/concrete_greypaneldark
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/quak_slide/concrete_greypaneldark
	}
	{
		map $lightmap
		rgbgen identity
		blendFunc gl_dst_color gl_zero
	}

}


textures/quak_slide/red_brick
{
	qer_editorImage textures/quak_slide/red_brick
	surfaceparm nodamage
	//surfaceparm slick
	{
		map textures/quak_slide/red_brick
	}
	{
		map $lightmap
		rgbgen identity
		blendFunc gl_dst_color gl_zero
	}

}

textures/quak_slide/met_wall01b
{
	qer_editorImage textures/quak_slide/met_wall01b
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/quak_slide/met_wall01b
	}
	{
		map $lightmap
		rgbgen identity
		blendFunc gl_dst_color gl_zero
	}

}

//-------------
// Tiles - Square
//-------------

textures/quak_slide/s128-01d
{
	qer_editorImage textures/quak_slide/trim/s128-01d
	surfaceparm nodamage
	//surfaceparm slick
	{
		map textures/quak_slide/trim/s128-01d
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
	}
}

textures/quak_slide/s128-02a
{
	qer_editorImage textures/quak_slide/s128-02a
	surfaceparm nodamage
	//surfaceparm slick
	{
		map textures/quak_slide/s128-02a
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
	}
}

textures/quak_slide/s128-02b
{
	qer_editorImage textures/quak_slide/trim/s128-02b
	surfaceparm nodamage
	//surfaceparm slick
	{
		map textures/quak_slide/trim/s128-02b
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
	}
}

//-------------
// Light - Square
//-------------

textures/quak_slide/lightred03
{
	qer_editorImage textures/quak_slide/light/sqrlig03rc
	//q3map_lightimage textures/quak_slide/light/sqrlig03r.blend
	q3map_lightRGB 1 .3 .3
	q3map_surfacelight 2000
	q3map_backSplash 25 36
	q3map_lightSubdivide 256
	q3map_nonplanar
	q3map_shadeangle 100
	//surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm detail
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/quak_slide/light/sqrlig03rc
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/quak_slide/light/sqrlig03r2.blend
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/quak_slide/lightgreen01
{
	qer_editorImage textures/quak_slide/light/sqrlig03ga
	//q3map_lightimage textures/quak_slide/light/sqrlig03g.lightmap
	q3map_lightRGB .3 1 .3
	q3map_surfacelight 2000
	q3map_backSplash 25 36
	q3map_lightSubdivide 256
	q3map_nonplanar
	q3map_shadeangle 100
	//surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm detail
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/quak_slide/light/sqrlig03ga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/quak_slide/light/sqrlig03g.blend
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/quak_slide/lightgreen06
{
	qer_editorImage textures/quak_slide/light/sqrlig02ca
	//q3map_lightimage textures/quak_slide/light/sqrlig03c.lightmap
	q3map_lightRGB .3 1 .3
	q3map_surfacelight 2000
	q3map_backSplash 25 36
	q3map_lightSubdivide 256
	q3map_nonplanar
	q3map_shadeangle 100
	//surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm detail
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/quak_slide/light/sqrlig02ca
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/quak_slide/light/sqrlig01c.blend
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

//-------------
// Light - Lig
//-------------

textures/quak_slide/lig_lightgreen02
{
	qer_editorimage textures/quak_slide/light/064lig30gb.tga
	q3map_lightimage textures/quak_slide/light/064lig30g.blend.tga
	q3map_surfacelight 2000
	//q3map_backSplash 50 10
	q3map_lightSubdivide 128
	q3map_nonplanar
	q3map_shadeangle 100
	//surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm detail
	{
		map textures/quak_slide/light/064lig30gb.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/quak_slide/light/064lig30g.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/quak_slide/lig_lightpurple02
{
	qer_editorimage textures/quak_slide/light/064lig30pb.tga
	q3map_lightimage textures/quak_slide/light/064lig30p.blend.tga
	q3map_surfacelight 2000
	//q3map_backSplash 50 10
	q3map_lightSubdivide 128
	q3map_nonplanar
	q3map_shadeangle 100
	//surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm detail
	{
		map textures/quak_slide/light/064lig30pb.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/quak_slide/light/064lig30p.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/quak_slide/lig_lightcyan02
{
	qer_editorimage textures/quak_slide/light/064lig30ca.tga
	q3map_lightimage textures/quak_slide/light/064lig30c.blend.tga
	q3map_surfacelight 2000
	//q3map_backSplash 50 10
	q3map_lightSubdivide 128
	q3map_nonplanar
	q3map_shadeangle 100
	//surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm detail
	{
		map textures/quak_slide/light/064lig30ca.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/quak_slide/light/064lig30c.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}


textures/quak_slide/lig_lightred02
{
	qer_editorimage textures/quak_slide/light/064lig30rb.tga
	q3map_lightimage textures/quak_slide/light/064lig30r.blend.tga
	q3map_surfacelight 2000
	//q3map_backSplash 50 10
	q3map_lightSubdivide 128
	q3map_nonplanar
	q3map_shadeangle 100
	//surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm detail
	{
		map textures/quak_slide/light/064lig30rb.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/quak_slide/light/064lig30r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/quak_slide/lig_lightyellow02
{
	qer_editorimage textures/quak_slide/light/064lig30yb.tga
	q3map_lightimage textures/quak_slide/light/064lig30y.blend.tga
	q3map_surfacelight 2000
	//q3map_backSplash 50 10
	q3map_lightSubdivide 128
	q3map_nonplanar
	q3map_shadeangle 100
	//surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm detail
	{
		map textures/quak_slide/light/064lig30yb.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/quak_slide/light/064lig30y.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/quak_slide/lig_lightblue02
{
	qer_editorimage textures/quak_slide/light/064lig30ba.tga
	q3map_lightimage textures/quak_slide/light/064lig30b.blend.tga
	q3map_surfacelight 2000
	//q3map_backSplash 50 10
	q3map_lightSubdivide 128
	q3map_nonplanar
	q3map_shadeangle 100
	//surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm detail
	{
		map textures/quak_slide/light/064lig30ba.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/quak_slide/light/064lig30b.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/quak_slide/lig_lightorange02
{
	qer_editorimage textures/quak_slide/light/064lig30oa.tga
	q3map_lightimage textures/quak_slide/light/064lig30o.blend.tga
	q3map_surfacelight 2000
	//q3map_backSplash 50 10
	q3map_lightSubdivide 128
	q3map_nonplanar
	q3map_shadeangle 100
	//surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm detail
	{
		map textures/quak_slide/light/064lig30oa.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/quak_slide/light/064lig30o.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/quak_slide/lig_lightorange02b
{
	qer_editorimage textures/quak_slide/light/064lig30ob.tga
	q3map_lightimage textures/quak_slide/light/064lig30o.blend.tga
	q3map_surfacelight 2000
	//q3map_backSplash 50 10
	q3map_lightSubdivide 128
	q3map_nonplanar
	q3map_shadeangle 100
	//surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm detail
	{
		map textures/quak_slide/light/064lig30ob.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/quak_slide/light/064lig30o.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

//-------------
// Glass
//-------------

textures/quak_slide/glass_yellow1
{
	qer_editorimage textures/quak_slide/glass_yellow1.tga
	qer_trans	0.40
	surfaceparm	alphashadow
	surfaceparm	nomarks
	surfaceparm	trans	
	surfaceparm	playerclip
	surfaceparm	noimpact
	cull none
	{
		map textures/quak_slide/glass_yellow1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcGen environment
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}	
}


//-------------
// Grates
//-------------

textures/quak_slide/metal_rustygrate
{
	q3map_lightimage textures/quak_slide/metal_rustygrate.tga
	qer_trans .8
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm metalsteps
	//noPicMip
	noMipMaps	
	cull none
	{
		map textures/quak_slide/metal_rustygrate.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}


textures/quak_slide/metal_xcrosssupport
{
	q3map_lightimage textures/quak_slide/metal_xcrosssupport.tga
	qer_trans .8
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm metalsteps
	surfaceparm slick
	noPicMip
	noMipMaps
	cull none
	{
		map textures/quak_slide/metal_xcrosssupport.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}

textures/quak_slide/metal_grateroundhole
{
	q3map_lightimage textures/quak_slide/metal_grateroundhole.tga
	qer_trans .8
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm metalsteps
	surfaceparm slick
	//noPicMip
	noMipMaps
	cull none
	{
		map textures/quak_slide/metal_grateroundhole.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}

//-------------
// Sky
//-------------

textures/quak_slide/nebula
{
	qer_editorimage textures/quak_slide/env/nebula.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	skyParms textures/quak_slide/env/nebula/void 1200 -
	{
		map textures/quak_slide/env/circlegradcloudsdark.tga
		blendfunc add
		rgbGen const ( 0.3 0 0.6 )
		tcMod scale 0.34 0.34
		tcMod rotate 5	
	}
	{
		map textures/quak_slide/env/nebula.tga
		blendfunc filter
		tcMod scroll 0.02 0.02
	}
}

//-------------
// Text
//-------------

textures/quak_slide/text_beginner
{
	qer_editorimage textures/quak_slide/text/beginnerpath
	qer_trans 0.9
	cull none
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	polygonOffset
	nopicmip
	noMipMaps
	deformVertexes autosprite
	q3map_noFog
	q3map_globalTexture
	{
		map textures/quak_slide/text/beginnerpath
		blendfunc GL_ONE GL_ONE
		rgbgen identity
	}
}

textures/quak_slide/text_intermediate
{
	qer_editorimage textures/quak_slide/text/intermediatepath
	qer_trans 0.9
	cull none
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	polygonOffset
	nopicmip
	noMipMaps
	deformVertexes autosprite
	q3map_noFog
	q3map_globalTexture
	{
		map textures/quak_slide/text/intermediatepath
		blendfunc GL_ONE GL_ONE
		rgbgen identity
	}
}

textures/quak_slide/text_advancedboosting
{
	qer_editorimage textures/quak_slide/text/advancedboosting
	qer_trans 0.9
	cull none
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	polygonOffset
	nopicmip
	noMipMaps
	deformVertexes autosprite
	q3map_noFog
	q3map_globalTexture	
		{
		map textures/quak_slide/text/advancedboosting
		blendfunc GL_ONE GL_ONE
		rgbgen identity
	}
}

textures/quak_slide/text_expert
{
	qer_editorimage textures/quak_slide/text/expertpath
	qer_trans 0.9
	cull none
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	polygonOffset
	nopicmip
	noMipMaps
	deformVertexes autosprite
	q3map_noFog
	q3map_globalTexture
	{
		map textures/quak_slide/text/expertpath
		blendfunc GL_ONE GL_ONE
		rgbgen identity
	}
}

textures/quak_slide/text_nextjump
{
	qer_editorimage textures/quak_slide/text/nextjump
	qer_trans 0.9
	cull none
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	polygonOffset
	nopicmip
	noMipMaps
	deformVertexes autosprite
	q3map_noFog
	q3map_globalTexture
	{
		map textures/quak_slide/text/nextjump
		blendfunc GL_ONE GL_ONE
		rgbgen identity
	}
}

textures/quak_slide/text_end
{
	qer_editorimage textures/quak_slide/text/end
	qer_trans 0.9
	cull none
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	polygonOffset
	nopicmip
	noMipMaps
	deformVertexes autosprite
	q3map_noFog
	q3map_globalTexture
	{
		map textures/quak_slide/text/end
		blendfunc GL_ONE GL_ONE
		rgbgen identity
	}
}

textures/quak_slide/text_leet
{
	qer_editorimage textures/quak_slide/text/leet
	qer_trans 0.9
	cull none
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	polygonOffset
	nopicmip
	noMipMaps
	deformVertexes autosprite
	q3map_noFog
	q3map_globalTexture
	{
		map textures/quak_slide/text/leet
		blendfunc GL_ONE GL_ONE
		rgbgen identity
	}
}

//-------------
// Water
//-------------

textures/quak_slide/water
{
	qer_editorimage textures/quak_slide/water/water1.tga
	q3map_lightimage textures/quak_slide/water/water1.tga
	q3map_globaltexture
	q3map_lightmapFilterRadius 4 8
	q3map_lightsubdivide 512
	
	//Light Power
	q3map_surfaceLight 90 

	//Controls how much the light self effects the shader
	//First number is a % (0-100) how much effects it.
	//Adjust it to control how dark the water looks if placed in an indoor area where no(or just a little) other light effects it
	//Ignore 2nd number, it controls how far away the light is emited from
	q3map_backSplash 75 20 

	// Light color, give this same value as the color control texture stage (see futher down)
	q3map_lightRGB 0.4 1 0.3

	// If Light don't effect it enught you can give this a value up to 1.0 This makes "-bounce" and "_floodlight" effect the shader if you have it at higher then 0.0
	q3map_bounceScale 0.0
	qer_trans 0.5

	surfaceparm noimpact
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans	

	//q3map_tessSize 1024
	cull disable

	//deformVertexes wave 256 sin 0 1 0.5 0.5
	{
		map textures/quak_slide/water/water2.tga
		blendFunc GL_DST_COLOR GL_ONE
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.01 0.01
	}	
	{
		map textures/quak_slide/water/water1.tga
		blendFunc GL_DST_COLOR GL_ONE
		rgbGen identity
		tcMod scale .5 .5
		tcMod scroll -.006 0
	}
	//Color control texture stage
	//Change the rgbgen const ( 0.4 1 0.3 ) values to contorl color of the water. (rgb 1-0)
	{ 
		map $whiteimage
		rgbgen const ( 0.4 1 0.3 )
		blendFunc GL_DST_COLOR GL_ZERO
		alphaGen wave sin .2 0 0 0
		depthWrite
	}	
	//Darkness control texture stage
	//Controls how dark the water will look
	//"rgbgen const ( 0.4 0.4 0.4 )" Gives a dark base image, keep numbers same. Higher = Brighter! (0.25-0.55 is reasonable values)
	//"alphaGen wave sin 0.015 0 0 0" Controls alpha of stage, Higher = Darker! (0.005-0.05 could be reasonable)
	{ 
		map $whiteimage
		rgbgen const ( 0.4 0.4 0.4 )
		blendFunc GL_DST_COLOR GL_ZERO
		alphaGen wave sin 0.014 0 0 0
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/quak_slide/water_yell
{
	qer_editorimage textures/quak_slide/water/water1.tga
	q3map_lightimage textures/quak_slide/water/water1.tga
	q3map_globaltexture
	q3map_lightmapFilterRadius 4 8
	q3map_lightsubdivide 512
	
	//Light Power
	q3map_surfaceLight 90 

	//Controls how much the light self effects the shader
	//First number is a % (0-100) how much effects it.
	//Adjust it to control how dark the water looks if placed in an indoor area where no(or just a little) other light effects it
	//Ignore 2nd number, it controls how far away the light is emited from
	q3map_backSplash 75 20 

	// Light color, give this same value as the color control texture stage (see futher down)
	q3map_lightRGB 1 1 0.3

	// If Light don't effect it enught you can give this a value up to 1.0 This makes "-bounce" and "_floodlight" effect the shader if you have it at higher then 0.0
	q3map_bounceScale 0.0
	qer_trans 0.5

	surfaceparm noimpact
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans	

	//q3map_tessSize 1024
	cull disable

	//deformVertexes wave 256 sin 0 1 0.5 0.5
	{
		map textures/quak_slide/water/water2.tga
		blendFunc GL_DST_COLOR GL_ONE
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.01 0.01
	}	
	{
		map textures/quak_slide/water/water1.tga
		blendFunc GL_DST_COLOR GL_ONE
		rgbGen identity
		tcMod scale .5 .5
		tcMod scroll -.006 0
	}
	//Color control texture stage
	//Change the rgbgen const ( 0.4 1 0.3 ) values to contorl color of the water. (rgb 1-0)
	{ 
		map $whiteimage
		rgbgen const ( 1 1 0.3 )
		blendFunc GL_DST_COLOR GL_ZERO
		alphaGen wave sin .2 0 0 0
		depthWrite
	}	
	//Darkness control texture stage
	//Controls how dark the water will look
	//"rgbgen const ( 0.4 0.4 0.4 )" Gives a dark base image, keep numbers same. Higher = Brighter! (0.25-0.55 is reasonable values)
	//"alphaGen wave sin 0.015 0 0 0" Controls alpha of stage, Higher = Darker! (0.005-0.05 could be reasonable)
	{ 
		map $whiteimage
		rgbgen const ( 0.4 0.4 0.4 )
		blendFunc GL_DST_COLOR GL_ZERO
		alphaGen wave sin 0.014 0 0 0
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/quak_slide/water_blue
{
	qer_editorimage textures/quak_slide/water/water1.tga
	q3map_lightimage textures/quak_slide/water/water1.tga
	q3map_globaltexture
	q3map_lightmapFilterRadius 4 8
	q3map_lightsubdivide 512
	
	//Light Power
	q3map_surfaceLight 90 

	//Controls how much the light self effects the shader
	//First number is a % (0-100) how much effects it.
	//Adjust it to control how dark the water looks if placed in an indoor area where no(or just a little) other light effects it
	//Ignore 2nd number, it controls how far away the light is emited from
	q3map_backSplash 75 20 

	// Light color, give this same value as the color control texture stage (see futher down)
	q3map_lightRGB 0.3 0.4 1

	// If Light don't effect it enught you can give this a value up to 1.0 This makes "-bounce" and "_floodlight" effect the shader if you have it at higher then 0.0
	q3map_bounceScale 0.0
	qer_trans 0.5

	surfaceparm noimpact
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans	

	//q3map_tessSize 1024
	cull disable

	//deformVertexes wave 256 sin 0 1 0.5 0.5
	{
		map textures/quak_slide/water/water2.tga
		blendFunc GL_DST_COLOR GL_ONE
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.01 0.01
	}	
	{
		map textures/quak_slide/water/water1.tga
		blendFunc GL_DST_COLOR GL_ONE
		rgbGen identity
		tcMod scale .5 .5
		tcMod scroll -.006 0
	}
	//Color control texture stage
	//Change the rgbgen const ( 0.3 0.4 1) values to contorl color of the water. (rgb 1-0)
	{ 
		map $whiteimage
		rgbgen const ( 0.3 0.4 1 )
		blendFunc GL_DST_COLOR GL_ZERO
		alphaGen wave sin .2 0 0 0
		depthWrite
	}	
	//Darkness control texture stage
	//Controls how dark the water will look
	//"rgbgen const ( 0.4 0.4 0.4 )" Gives a dark base image, keep numbers same. Higher = Brighter! (0.25-0.55 is reasonable values)
	//"alphaGen wave sin 0.015 0 0 0" Controls alpha of stage, Higher = Darker! (0.005-0.05 could be reasonable)
	{ 
		map $whiteimage
		rgbgen const ( 0.4 0.4 0.4 )
		blendFunc GL_DST_COLOR GL_ZERO
		alphaGen wave sin 0.014 0 0 0
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/quak_slide/water_red
{
	qer_editorimage textures/quak_slide/water/water1.tga
	q3map_lightimage textures/quak_slide/water/water1.tga
	q3map_globaltexture
	q3map_lightmapFilterRadius 4 8
	q3map_lightsubdivide 512
	
	//Light Power
	q3map_surfaceLight 90 

	//Controls how much the light self effects the shader
	//First number is a % (0-100) how much effects it.
	//Adjust it to control how dark the water looks if placed in an indoor area where no(or just a little) other light effects it
	//Ignore 2nd number, it controls how far away the light is emited from
	q3map_backSplash 75 20 

	// Light color, give this same value as the color control texture stage (see futher down)
	q3map_lightRGB 1 0.4 0.3

	// If Light don't effect it enught you can give this a value up to 1.0 This makes "-bounce" and "_floodlight" effect the shader if you have it at higher then 0.0
	q3map_bounceScale 0.0
	qer_trans 0.5

	surfaceparm noimpact
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans	

	//q3map_tessSize 1024
	cull disable

	//deformVertexes wave 256 sin 0 1 0.5 0.5
	{
		map textures/quak_slide/water/water2.tga
		blendFunc GL_DST_COLOR GL_ONE
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.01 0.01
	}	
	{
		map textures/quak_slide/water/water1.tga
		blendFunc GL_DST_COLOR GL_ONE
		rgbGen identity
		tcMod scale .5 .5
		tcMod scroll -.006 0
	}
	//Color control texture stage
	//Change the rgbgen const ( 0.4 1 0.3 ) values to contorl color of the water. (rgb 1-0)
	{ 
		map $whiteimage
		rgbgen const ( 1 0.4 0.3 )
		blendFunc GL_DST_COLOR GL_ZERO
		alphaGen wave sin .2 0 0 0
		depthWrite
	}	
	//Darkness control texture stage
	//Controls how dark the water will look
	//"rgbgen const ( 0.4 0.4 0.4 )" Gives a dark base image, keep numbers same. Higher = Brighter! (0.25-0.55 is reasonable values)
	//"alphaGen wave sin 0.015 0 0 0" Controls alpha of stage, Higher = Darker! (0.005-0.05 could be reasonable)
	{ 
		map $whiteimage
		rgbgen const ( 0.4 0.4 0.4 )
		blendFunc GL_DST_COLOR GL_ZERO
		alphaGen wave sin 0.014 0 0 0
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/quak_slide/water_purple
{
	qer_editorimage textures/quak_slide/water/water1.tga
	q3map_lightimage textures/quak_slide/water/water1.tga
	q3map_globaltexture
	q3map_lightmapFilterRadius 4 8
	q3map_lightsubdivide 512
	
	//Light Power
	q3map_surfaceLight 90 

	//Controls how much the light self effects the shader
	//First number is a % (0-100) how much effects it.
	//Adjust it to control how dark the water looks if placed in an indoor area where no(or just a little) other light effects it
	//Ignore 2nd number, it controls how far away the light is emited from
	q3map_backSplash 75 20 

	// Light color, give this same value as the color control texture stage (see futher down)
	q3map_lightRGB .8 .2 1

	// If Light don't effect it enught you can give this a value up to 1.0 This makes "-bounce" and "_floodlight" effect the shader if you have it at higher then 0.0
	q3map_bounceScale 0.0
	qer_trans 0.5

	surfaceparm noimpact
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans	

	//q3map_tessSize 1024
	cull disable

	//deformVertexes wave 256 sin 0 1 0.5 0.5
	{
		map textures/quak_slide/water/water2.tga
		blendFunc GL_DST_COLOR GL_ONE
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.01 0.01
	}	
	{
		map textures/quak_slide/water/water1.tga
		blendFunc GL_DST_COLOR GL_ONE
		rgbGen identity
		tcMod scale .5 .5
		tcMod scroll -.006 0
	}
	//Color control texture stage
	//Change the rgbgen const ( 0.4 1 0.3 ) values to contorl color of the water. (rgb 1-0)
	{ 
		map $whiteimage
		rgbgen const ( .8 .2 1 )
		blendFunc GL_DST_COLOR GL_ZERO
		alphaGen wave sin .2 0 0 0
		depthWrite
	}	
	//Darkness control texture stage
	//Controls how dark the water will look
	//"rgbgen const ( 0.4 0.4 0.4 )" Gives a dark base image, keep numbers same. Higher = Brighter! (0.25-0.55 is reasonable values)
	//"alphaGen wave sin 0.015 0 0 0" Controls alpha of stage, Higher = Darker! (0.005-0.05 could be reasonable)
	{ 
		map $whiteimage
		rgbgen const ( 0.4 0.4 0.4 )
		blendFunc GL_DST_COLOR GL_ZERO
		alphaGen wave sin 0.014 0 0 0
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

