//-------------
// Sky
//-------------

textures/quak_slide/nebula_new
{
	qer_editorimage textures/quak_slide/env/nebula.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_sunExt .95 .83 1 100 65 82 3 16
	q3map_skylight 190 4
	skyParms textures/quak_slide/env/nebula/void 1200 -
	{
		map textures/quak_slide/env/circlegradcloudsdark.tga
		blendfunc add
		rgbGen const ( 0.3 0 0.6 )
		tcMod scale 0.34 0.34
		tcMod rotate 5	
	}
	{
		map textures/quak_slide/env/nebula.tga
		blendfunc filter
		tcMod scroll 0.02 0.02
	}
}

textures/quak_slide/nebula_ns
{
	qer_editorimage textures/quak_slide/env/nebula.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	skyParms textures/quak_slide/env/nebula/void 1200 -
	{
		map textures/quak_slide/env/circlegradcloudsdark.tga
		blendfunc add
		rgbGen const ( 0.3 0 0.6 )
		tcMod scale 0.34 0.34
		tcMod rotate 5	
	}
	{
		map textures/quak_slide/env/nebula.tga
		blendfunc filter
		tcMod scroll 0.02 0.02
	}
}

//-------------
// Tiles - Square
//-------------

textures/quak_slide/s128-01c
{
	qer_editorImage textures/quak_slide_e/trim/s128-01c
	surfaceparm nodamage
	//surfaceparm slick
	{
		map textures/quak_slide_e/trim/s128-01c
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
	}
}

textures/quak_slide/s128-02d
{
	qer_editorImage textures/quak_slide_e/trim/s128-02d
	surfaceparm nodamage
	//surfaceparm slick
	{
		map textures/quak_slide_e/trim/s128-02d
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
	}
}

//-------------
// Light - Square
//-------------

textures/quak_slide/lightred04
{
	qer_editorImage textures/quak_slide_e/light/sqrlig01ra
	//q3map_lightimage textures/quak_slide/light/sqrlig01r.blend
	q3map_lightRGB 1 .3 .3
	q3map_surfacelight 2000
	q3map_backSplash 25 36
	q3map_lightSubdivide 256
	q3map_nonplanar
	q3map_shadeangle 100
	//surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm detail
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/quak_slide_e/light/sqrlig01ra
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/quak_slide_e/light/sqrlig01r.blend
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

//-------------
// Glass
//-------------

textures/quak_slide/glass_red1
{
	qer_editorImage textures/quak_slide_e/glass_red1.tga
	qer_trans	0.40
	surfaceparm	alphashadow
	surfaceparm	nomarks
	surfaceparm	trans	
	surfaceparm	playerclip
	surfaceparm	slick
	surfaceparm	noimpact
	cull none
	{
		map textures/quak_slide_e/glass_red1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcGen environment
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}	
}


